Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.model
Interface EntryPointResolverSet

All Known Implementing Classes:
  DefaultEntryPointResolverSet, LegacyEntryPointResolverSet

    public interface EntryPointResolverSet

`EntryPointResolver` resolves a method to call on the given service object when an event is received. This object maintains a set of Resolvers that will be used in order to resolve an entrypoint on a service object until one is found or until the set is exhausted. Note that there is a one-to-one mapping from component to EntryPointResolverSet. Each component must get a separate set with `EntryPointResolver` instances that are not shared. An EntryPointResolver is allowed to cache state and can assume the component will always be of the the same type.

Method Summary
`void` | `addEntryPointResolver(EntryPointResolver resolver)` Will add a resolver to the list of resolvers to invoke on a compoent.
`Object` | `invoke(Object component, MuleEventContext context)` Will attempt to invoke the component by looping through all `EntryPointResolver` instances registered on this set until a match is found
`boolean` | `removeEntryPointResolver(EntryPointResolver resolver)` Removes a resolver from the list

Method Detail

### invoke

    Object invoke(Object component,
                  MuleEventContext context)
                  throws Exception

  Will attempt to invoke the component by looping through all `EntryPointResolver` instances registered on this set until a match is found

  Parameters:
    `component` - the component to invoke
    `context` - the current event context, this is used to figure out which method to call on the component
  Returns:
    the result of the invocation
  Throws:
    `Exception` - if the invocation itself or an `EntryPointResolver` fails

### addEntryPointResolver

    void addEntryPointResolver(EntryPointResolver resolver)

  Will add a resolver to the list of resolvers to invoke on a compoent. Implementations must maintain an ordered list of resolvers

  Parameters:
    `resolver` - the resolver to add

### removeEntryPointResolver

    boolean removeEntryPointResolver(EntryPointResolver resolver)

  Removes a resolver from the list

  Parameters:
    `resolver` - the resolver to remove
  Returns:
    true if the resolver was found and removed from the list

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.